| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::FileInfo Struct Reference
Core » Resources

Information about a file/directory within the archive will be returned using a FileInfo struct. More...

`#include <OgreArchive.h>`

## Public Attributes
const Archive * | archive
| The archive in which the file has been found (for info when performing multi-Archive searches, note you should still open through ResourceGroupManager) More...
String | basename
| Base filename. More...
size_t | compressedSize
| Compressed size. More...
String | filename
| The file's fully qualified name. More...
String | path
| Path name; separated by '/' and ending with '/'. More...
size_t | uncompressedSize
| Uncompressed size. More...

## Detailed Description

Information about a file/directory within the archive will be returned using a FileInfo struct.

See also
  Archive

## Member Data Documentation

## ◆ archive

const Archive* Ogre::FileInfo::archive

The archive in which the file has been found (for info when performing multi-Archive searches, note you should still open through ResourceGroupManager)

## ◆ filename

String Ogre::FileInfo::filename

The file's fully qualified name.

## ◆ path

String Ogre::FileInfo::path

Path name; separated by '/' and ending with '/'.

## ◆ basename

String Ogre::FileInfo::basename

Base filename.

## ◆ compressedSize

size_t Ogre::FileInfo::compressedSize

Compressed size.

## ◆ uncompressedSize

size_t Ogre::FileInfo::uncompressedSize

Uncompressed size.

The documentation for this struct was generated from the following file:

- OgreArchive.h